Subject: bug#44128: [feature/native-comp] When invoking a symlink to the 'emacs' binary Emacs fails to start

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Apr 2021 09:58:27 +0300

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked], [email-masked],
> 	[email-masked], [email-masked]
> Date: Sat, 17 Apr 2021 23:40:43 -0400
> 
> The version of master that I am running is from Dec 5.
> I always run it through a symlink.
> 
> So I think the bug was introduced since then.

You are not running the native-comp branch, that's why you don't see
the problem.  The problem doesn't exist on the master branch, even not
today.